package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * high_coupon_code_other
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighCouponCodeOther implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 类型： 1 汇联通
     */
    private Integer type;

    /**
     * 代理商卡券销售码id
     */
    private Long couponAgentCodeId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 子订单id
     */
    private Long childOrderId;

    /**
     * 卡券类型code
     */
    private String couTypeCode;

    /**
     * 卡券号
     */
    private String couNo;

    /**
     * 状态：已核销（40），20（已激活）50 已作废
     */
    private Integer status;

    /**
     * 激活时间
     */
    private Date activeTime;

    /**
     * 有效期开始时间
     */
    private Date validStartDate;

    /**
     * 有效期结束时间
     */
    private Date validEndDate;

    /**
     * 创建时间
     */
    private Date createTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getCouponAgentCodeId() {
        return couponAgentCodeId;
    }

    public void setCouponAgentCodeId(Long couponAgentCodeId) {
        this.couponAgentCodeId = couponAgentCodeId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getChildOrderId() {
        return childOrderId;
    }

    public void setChildOrderId(Long childOrderId) {
        this.childOrderId = childOrderId;
    }

    public String getCouTypeCode() {
        return couTypeCode;
    }

    public void setCouTypeCode(String couTypeCode) {
        this.couTypeCode = couTypeCode;
    }

    public String getCouNo() {
        return couNo;
    }

    public void setCouNo(String couNo) {
        this.couNo = couNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Date activeTime) {
        this.activeTime = activeTime;
    }

    public Date getValidStartDate() {
        return validStartDate;
    }

    public void setValidStartDate(Date validStartDate) {
        this.validStartDate = validStartDate;
    }

    public Date getValidEndDate() {
        return validEndDate;
    }

    public void setValidEndDate(Date validEndDate) {
        this.validEndDate = validEndDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighCouponCodeOther other = (HighCouponCodeOther) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getCouponAgentCodeId() == null ? other.getCouponAgentCodeId() == null : this.getCouponAgentCodeId().equals(other.getCouponAgentCodeId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getChildOrderId() == null ? other.getChildOrderId() == null : this.getChildOrderId().equals(other.getChildOrderId()))
            && (this.getCouTypeCode() == null ? other.getCouTypeCode() == null : this.getCouTypeCode().equals(other.getCouTypeCode()))
            && (this.getCouNo() == null ? other.getCouNo() == null : this.getCouNo().equals(other.getCouNo()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getActiveTime() == null ? other.getActiveTime() == null : this.getActiveTime().equals(other.getActiveTime()))
            && (this.getValidStartDate() == null ? other.getValidStartDate() == null : this.getValidStartDate().equals(other.getValidStartDate()))
            && (this.getValidEndDate() == null ? other.getValidEndDate() == null : this.getValidEndDate().equals(other.getValidEndDate()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getCouponAgentCodeId() == null) ? 0 : getCouponAgentCodeId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getChildOrderId() == null) ? 0 : getChildOrderId().hashCode());
        result = prime * result + ((getCouTypeCode() == null) ? 0 : getCouTypeCode().hashCode());
        result = prime * result + ((getCouNo() == null) ? 0 : getCouNo().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getActiveTime() == null) ? 0 : getActiveTime().hashCode());
        result = prime * result + ((getValidStartDate() == null) ? 0 : getValidStartDate().hashCode());
        result = prime * result + ((getValidEndDate() == null) ? 0 : getValidEndDate().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", couponAgentCodeId=").append(couponAgentCodeId);
        sb.append(", orderId=").append(orderId);
        sb.append(", childOrderId=").append(childOrderId);
        sb.append(", couTypeCode=").append(couTypeCode);
        sb.append(", couNo=").append(couNo);
        sb.append(", status=").append(status);
        sb.append(", activeTime=").append(activeTime);
        sb.append(", validStartDate=").append(validStartDate);
        sb.append(", validEndDate=").append(validEndDate);
        sb.append(", createTime=").append(createTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}